# Gutenberg Blocks and Template Library by Otter #
**Contributors:** [themeisle](https://profiles.wordpress.org/themeisle), [hardeepasrani](https://profiles.wordpress.org/hardeepasrani), [soarerobertdaniel7](https://profiles.wordpress.org/soarerobertdaniel7), [mariamunteanu1](https://profiles.wordpress.org/mariamunteanu1)  
**Tags:** gutenberg blocks, gutenberg, block,post grid block, google map block, columns block, advanced columns, section, row, layout, templates, lottie, progress bar, product review, review, accordion, tabs  
**Requires at least:** 5.4  
**Tested up to:** 5.8  
**Requires PHP:** 5.4  
**Stable tag:** trunk  
**License:** GPLv3  
**License URI:** https://www.gnu.org/licenses/gpl-3.0.en.html  

Otter is a dynamic collection of page building blocks and templates for the WordPress block editor. Create beautiful and attracting posts, pages, and landing pages with Gutenberg Blocks and Template Library by Otter. Otter comes with dozens of Gutenberg blocks that are all you need to build beautiful pages in Gutenberg.

## Description ##

Otter is a dynamic collection of page building blocks and templates for the WordPress block editor.

The growing list of page building blocks covers all of the elements you need to build your WordPress site. Combine the blocks with Otter to build stunning pages and posts with the simplicity of  designing.

With a lightweight approach, Otter enhances WordPress site building without impacting site speed. With Otter, you can truly harness the potential of the new WordPress era.

https://www.youtube.com/watch?v=ypIeTgvYeRE

It has:

- Section Block
- Advanced Heading Block
- Button Group Block
- Slider Block
- Accordion Block
- Tabs Block
- Google Maps Block
- Post Grid Block
- Product Review Block
- Service Block
- Pricing Block
- Testimonial Block
- About Author Block
- Icon Block
- Lottie Animation Block
- Progress Bar Block
- Circular Progress Block
- Sharing Icons Block
- Plugin Card Block

# STUNNING WEB PAGES WITH DRAG AND DROP EFFICIENCY #

Otter can be used to build everything from a personal blog to an international store without losing the personal touch. Otter’s famous ease-of-use transforms basic blocks into expressive layouts in seconds:

# DO IT YOUR WAY WITH SECTION BLOCKS #

With Otter’s Section Block you will be able to create innovative layouts that improve readability with enhanced visual appeal. The Section Block lets you create interesting layouts that help emphasis your content.

You can create your own layouts or select one of Otter’s layouts and templates. Each of the layouts has been professionally designed to provide a range of visually pleasing sections like About, Headers, Pricing, Testimonials.

You can take advantage of the responsive controls to increase padding and margins or drop elements to create visual experiences perfect for mobile, tablet, or desktop.

# TEMPLATE LIBRARY #

Unleash your inner designer with Otter’s template library. With over 50 different templates you can build a professional site quickly and efficiently.

The template library provides a range of different elements in a variety of styles to help you build great pages.

All of your website’s most important areas are covered; headers, testimonials, pricing tables, content and more.

From headers with images to headers with features, from content with images to about sections with video. Otter has a template to match your vision, just add the content and you’ll be set.

# REDESIGNED GOOGLE MAPS BLOCK #

Otter’s integration with the WordPress Block Editor allows you to see your changes live from the backend. Innovative blocks like the Google Maps block help you customise the experience right down to the color and description of the markers, search for places by name or coordinates, add and remove map controls, or change the size and style of the maps with a few clicks.

# CSS ON EVERY BLOCK #

Otter’s commitment to user centred building includes a unique block-by-block CSS extension that makes it easy for you to add CSS to your blocks. The additional CSS area is integrated into the backend to make targeting your blocks easier. You can add media queries, change colours, and add borders all in one easy to follow area.

# CUSTOMIZE EVERY BLOCK #

More than layouts and sections, you need advanced customisation options to give you control over style and appearance. With Otter, you’ve got it all.

Create mobile-friendly designs with Otter’s built-in responsive settings. Each block can be tweaked to provide a consistent experience for mobile, tablet, and desktop.

Help your site shine with design options built to enhance your brand. Every block has customization support to help you style your site according to your vision:

- Color controls for primary, accents, and backgrounds.
- Animation at the click of a button.
- Typography controls from spacing to font choice.

## Screenshots ##

1. Section Block
2. Google Map Block
3. Posts Block

## Changelog ##

##### [Version 1.6.9](https://github.com/Codeinwp/otter-blocks/compare/v1.6.8...v1.6.9) (2021-07-02)

- Fix links in Review Block
- Fix block defaults not working in Default Section
- Allow Custom sizes in Posts Block
- Add filter to Posts Block's query
- Add Tabs Block
- Add rel attribute to Review Block's Button
- Fix CSS Module breaking the editor
- Add translation support




##### [Version 1.6.8](https://github.com/Codeinwp/otter-blocks/compare/v1.6.7...v1.6.8) (2021-06-11)

* add JS translation compatibility




##### [Version 1.6.7](https://github.com/Codeinwp/otter-blocks/compare/v1.6.6...v1.6.7) (2021-06-11)

* Enhance translation compatibility




##### [Version 1.6.6](https://github.com/Codeinwp/otter-blocks/compare/v1.6.5...v1.6.6) (2021-05-24)

- Fix Product Review Block conflict with WooCommerce




##### [Version 1.6.5](https://github.com/Codeinwp/otter-blocks/compare/v1.6.4...v1.6.5) (2021-05-21)

- Add Product Review Block
- Make blocks AMP-ready
- Fix the post excerpt becoming corrupted when containing multi-byte character
- Fix Section's Overlay Gradient not working
- Fix Icon List reset on refresh
- Add Product Review Block
- Make blocks AMP-ready
- Fix the post excerpt becoming corrupted when containing multi-byte character
- Fix Section's Overlay Gradient not working
- Fix Icon List reset on refresh




##### [Version 1.6.4](https://github.com/Codeinwp/otter-blocks/compare/v1.6.3...v1.6.4) (2021-04-12)

- Fix button not centering
- Fix custom CSS not working on Leaflet Map Block
- Fix Columns width resetting
- Fix Resizer in Columns




##### [Version 1.6.3](https://github.com/Codeinwp/otter-blocks/compare/v1.6.2...v1.6.3) (2021-03-29)

- Fix Columns range crashing in Section Block.
- Fix Progress Blocks not loading on the front-end.




##### [Version 1.6.2](https://github.com/Codeinwp/otter-blocks/compare/v1.6.1...v1.6.2) (2021-03-26)

- Fix Button Groups alignment
- Don't enqueue empty CSS
- Adds new Accordion Block
- CPT support to Posts Block




##### [Version 1.6.1](https://github.com/Codeinwp/otter-blocks/compare/v1.6.0...v1.6.1) (2021-03-02)

- Fix CSS Extensions causing Reusable Blocks to crash.
- Add new Map Block
- Various fixes




#### [Version 1.6.0](https://github.com/Codeinwp/otter-blocks/compare/v1.5.12...v1.6.0) (2021-01-06)

- New Icon List Block.
- Allow editing text in Progress Bar Block.
- Reuse Gradient Control from Core.
- Fix Font Awesome loading when the non-Icon button is being used.
- Improve Server-Side CSS Method




##### [Version 1.5.12](https://github.com/Codeinwp/otter-blocks/compare/v1.5.11...v1.5.12) (2020-12-12)

- Fix ThemeIsle icons not appearing on WebKit browsers




##### [Version 1.5.11](https://github.com/Codeinwp/otter-blocks/compare/v1.5.10...v1.5.11) (2020-11-25)

- Do not add the background image to the Section when the URL is not set.
- WordPress 5.6 update chores.




##### [Version 1.5.10](https://github.com/Codeinwp/otter-blocks/compare/v1.5.9...v1.5.10) (2020-11-22)

- Responsive Images in Posts Block.
- Fix Progress Blocks.
- Don't enqueue CSS on Classic Editor posts.
- Change the Highlight tag.




##### [Version 1.5.9](https://github.com/Codeinwp/otter-blocks/compare/v1.5.8...v1.5.9) (2020-11-18)

- WordPress 5.6 compatibility.
- Fix duplicate posts appear in Posts block when using WPML.
- Fox Sharing Icons block links.
- Improve Font Awesome Icons background.
- Fix Progress Bar percentage animation.
- Add ThemeIsle Icons to Buttons & Font Awesome Icons Block.
- Rename Font Awesome Icons Block to Icon Block.
- Add Circular Progress Block.
- Allow zero value for borderSize in Button Block.




##### [Version 1.5.8](https://github.com/Codeinwp/otter-blocks/compare/v1.5.7...v1.5.8) (2020-09-14)

- Add Lottie Animations Block.
- Add Progress Bar Block.
- Prevent old custom CSS from being cached.
- Fix Slider in Section's Vertical Alignment on AMP.
- Consensual Tracking Data.




##### [Version 1.5.7](https://github.com/Codeinwp/otter-blocks/compare/v1.5.6...v1.5.7) (2020-08-12)

- Fix Button Group Block borders
- Fix Plugin Card failing with additional attributes
- Fix permission callback missing in REST API Route




##### [Version 1.5.6](https://github.com/Codeinwp/otter-blocks/compare/v1.5.5...v1.5.6) (2020-08-03)

- Button Group Improvements
- Fixed Caption field missing from Slider Block
- Image management in Slider & Gallery Block
- Fix issue with CSS inline loading twice
- Fix Posts Block offset bug
- Remove default font size from Posts Block
- Improve Animation Picker




##### [Version 1.5.5](https://github.com/Codeinwp/otter-blocks/compare/v1.5.4...v1.5.5) (2020-06-22)

- Store images locally when importing templates
- The improved template import mechanism
- Fix CSS file is not enqueued for posts outside the main loop
- Drop support for WordPress 5.3
- Add backward compatibility to Template Library import
- Fix category filter in Posts Section
- Add new Block Templates




##### [Version 1.5.4](https://github.com/Codeinwp/otter-blocks/compare/v1.5.3...v1.5.4) (2020-05-26)

- Use WP File System in Template Import
- Fix CSS Regeneration
- Add TinyMCE in Map Marker
- Use ServerSideLoader in Author & Sharing Blocks
- Fix Posts Block for Gutenberg 8.0
- Display template name in Template Library
- Add AMP Support to Slider Block
- Remove Section Outline
- Add AMP Support to Google Maps Block
- Fix Horizontal/Vertical Alignment
- Add Template Preview in Template Library
- Fix issue with Color resetting in Button Group & Section
- Fix Font Awesome not loading on Index Pages
- Add two new templates
- Fix SVG issue in Slider & Section Block
- Add Menu Icons Module




##### [Version 1.5.3](https://github.com/Codeinwp/otter-blocks/compare/v1.5.2...v1.5.3) (2020-04-10)

- Remove Icons from Range Controls
- Add ColorIndicator to Color Controls
- Move Vertical Alignment to Toolbar
- Fix Button Hover Color not saving
- Fix Responsive Controls not working
- Regenerate CSS file if it doesn't exist
- Update Font Awesome to the latest version




##### [Version 1.5.2](https://github.com/Codeinwp/otter-blocks/compare/v1.5.1...v1.5.2) (2020-03-30)

- Improve Responsiveness Control
- Remove Popover from Sizing Control
- Add Button Border to Global Defaults
- Fix issue with CSS not saving properly




##### [Version 1.5.1](https://github.com/Codeinwp/otter-blocks/compare/v1.5.0...v1.5.1) (2020-03-20)

- Adds compatibility with WordPress 5.4
- Fixed release issue with 1.5.0




#### [Version 1.5.0](https://github.com/Codeinwp/otter-blocks/compare/v1.4.1...v1.5.0) (2020-03-20)

- Adds compatibility with WordPress 5.4
- Adds compatibility with WordPress 5.4




##### [Version 1.4.1](https://github.com/Codeinwp/otter-blocks/compare/v1.4.0...v1.4.1) (2020-02-29)

- Fix issue with Button Group & Global Defaults
- Add Offset to Posts Block
- Allow custom IDs in Section & Advanced Heading Block
- Add speed option in Slider Block
- Fix issue with Overlay Gradient not working in Section Block




#### [Version 1.4.0](https://github.com/Codeinwp/otter-blocks/compare/v1.3.3...v1.4.0) (2020-02-23)

- Add Column Width control to Sidebar
- Remove Inline CSS from Blocks
- Fix Block ID Mechanism
- Add Global Defaults
- Improve Vertical Alignment to Section Block
- Add option to disable Arrows/Bullets in Slider Block
- Option to reverse columns in Section
- Add theme_support for global defaults
- Inherit Sizing values
- Button Group consistency with Button Block
- Add Anchor field to Advanced Heading Block




##### [Version 1.3.3](https://github.com/Codeinwp/otter-blocks/compare/v1.3.2...v1.3.3) (2020-01-19)

Fix issue with Custom CSS module not working




##### [Version 1.3.2](https://github.com/Codeinwp/otter-blocks/compare/v1.3.1...v1.3.2) (2020-01-10)

- Add Slider Transforms [#142](https://github.com/Codeinwp/otter-blocks/issues/142)
- Improve Onboarding Experience & New Icons: [#144](https://github.com/Codeinwp/otter-blocks/issues/144)
- Remove deprecated blocks: [#103](https://github.com/Codeinwp/otter-blocks/issues/103)
- React Hooks: [#145](https://github.com/Codeinwp/otter-blocks/issues/145)
- Remove background from Posts Block: [#149](https://github.com/Codeinwp/otter-blocks/issues/149)
- Allow changing Title tag in Posts Block: [#147](https://github.com/Codeinwp/otter-blocks/issues/147)
- Change Category from H6 to Span: [#148](https://github.com/Codeinwp/otter-blocks/issues/148)
- Option to remove the image's box-shadow: [#146](https://github.com/Codeinwp/otter-blocks/issues/146)
- Fix domino effect in Sizing Component: [#151](https://github.com/Codeinwp/otter-blocks/issues/151)
- Add tracking toggle to Option Page
- Use React Hooks for Option Panel



### 1.3.1 - 2019-12-03  ###

* - Added Slider Block
* - Fixed issue with extensions failing with ServerSideRenderer


### 1.3.0 - 2019-11-05  ###

* Lazy load Font Awesome Picker to improve load time.
* Fixed link fetching in WP 5.0
* Added Style Switcher to Block Controls
* Added Map Styles to Google Map Block
* Improved CSS handling for blocks
* Added block navigator to Section block
* Added inserter to Button Group
* Fixed Marker Modal closing on search
* Fixed sizing control focus
* Fixed post excerpt now showing in Posts Grid
* Added meta control options to Posts Block
* Added improved Gradient Picker control


### 1.2.5 - 2019-09-10  ###

* Fix AMP compatibility errors.


### 1.2.4 - 2019-07-30  ###

* Fix Internet Explorer incompatibility
* Add option to choose Marker color for Google Map block
* Refreshed "New Marker" UI for Google Map block


### 1.2.3 - 2019-05-24  ###

* Add BlockInserter
* Google Maps Improvements
* Link Component Improvements
* Fix Sizing Control value type


### 1.2.2 - 2019-05-08  ###

* Add HTML Anchor to Section Block.
* Change Default Section setting.
* Fix resizer styles.
* Add Link Component.
* Add Marker button to Map.
* Remove Padding Resizer.
* Better UI for Sizing Control.
* Fix Dynamic CSS not rendering on reusable blocks.
* Validate blocks before importing.


### 1.2.1 - 2019-04-20  ###

* Fixed issue with constant not being checked in Otter
* Added error handling in Backbone functions

### 1.2.0 - 2019-04-18  ###

* Added Otter Option page
* Added update notice on Template Library
* Redesigned Google Map block
* Redesigned Post Grid block
* Removed Handsontable from Chart block


### 1.1.5 - 2019-03-08  ###

* Redesign Template Library
* Added Dynamic Column Resizing
* Added option to Auto Display Columns on Pages
* Added Section Outline to make it easier to edit sections
* Added Hover and Link settings to Font Awesome Block
* Removed Google + icon from Sharing Icons Block
* Fixed alignment controls
* Fixed issue with non-editors not being able to use inline CSS and template library.
* Fixed Button Group errors
* Fixed Sharing Icons block having wrong icon order in front-end

### 1.1.4 - 2019-01-31  ###

* Fix Font Awesome Block update path
* Show selected font in Google Font picker
* Fix Font Awesome Picker component being case-sensitive

### 1.1.3 - 2019-01-30  ###

* Adds Feedback for Button Group Switch
* Fixes Post Grid throwing an error
* Fixes issue with multiple block templates being inserted on the same post
* Fixes Font Awesome block alignment on the backend

### 1.1.2 - 2019-01-28  ###

* Fix Button Group Migration
* Revamped Font Awesome Icon Picker

### 1.1.1 - 2019-01-25  ###

* Added Developer Documentation
* Added Typography Option to Block Toolbar
* Fixed Padding Resizer
* Made Template Library Responsive
* Fixed Close Icon Alignment on Chrome
* Fixed Alignment with Span Tag in Advanced Heading Block
* Added Line Height Option to Button Group
* Added Option to Collapse Buttons
* Fixed Icon Issue in Button Group
* Increased Maximum Font Size Limit
* Fixed Font Weight Value Error
* Fixed Fatal Error Caused by Gutenberg Plugin
* Fixed Unescaped Character Preview in Post Grid
* Improved Handling of Unique Block IDs
* Added Left/Right Margin Options to Section Column
* Added Controls for Responsive Alignment to Advanced Heading Block
* Fixed Vertical Alignment in Section Block
* Fixed Alignment Issue in Social Sharing Block

### 1.1.0 - 2019-01-18 ###
* Added Section Block, with Template Library
* Added Advanced Heading Block
* Added Button Group Block
* Deprecated Notice, Click to Tweet, Chart, Accordion, blocks

### 1.0.4 - 2018-12-07 ###
* Fixed dependencies issue

### 1.0.3 - 2018-12-07 ###
* Fixes issue with Posts Grid block displaying wrong author

### 1.0.2 - 2018-12-05 ###
* Fixed Notice Block and Font Awesome Icons
* Optimized build size

### 1.0.1 - 2018-10-29 ###
* Bug fixed with Google Map block.

### 1.0.0 - 2018-10-17 ###
* Adds docker env.
* Adds hash back.
